// 점의 위치를 저장할 수 있는 배열 100를 선언한다.
float dotX[] = new float[100];
float dotY[] = new float[100];

void setup () {
  size(400,400);
  // 100개의 점의 위치 모두에 200,200의 좌표를 넣는다.
  for (int i=0; i<100; i++) {
    dotX[i] = 200;
    dotY[i] = 200;
  }
}

void draw () {
  background(255,255,255);
  // 앞의 점의 위치를 다음 점이 가지게 되는 반복문.
  for (int i=99; i>0; i--) {
    dotX[i] = dotX[i-1];
    dotY[i] = dotY[i-1];
  }
  dotX[0] = mouseX;
  dotY[0] = mouseY;
  noFill();
  // 0~ 100까지 점을 유기곡선으로 연결하기 위해서 curveVertex를 찍는다.
  beginShape();
  for (int i=0; i<100; i++) {
    curveVertex(dotX[i], dotY[i]);
  }
  endShape();
}
